AbstractExecutor (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.internal.AbstractExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.internal
Class AbstractExecutor

    java.lang.Object
      org.apache.commons.jexl2.internal.AbstractExecutor

Direct Known Subclasses:
  AbstractExecutor.Get, AbstractExecutor.Method, AbstractExecutor.Set

    public abstract class AbstractExecutor

extends java.lang.Object

Abstract class that is used to execute an arbitrary method that is introspected. This is the superclass for all other AbstractExecutor classes.

Since:
  1.0
Version:
  $Id: AbstractExecutor.java 889760 2009-12-11 18:42:49Z sebb $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Nested Class Summary
`static class` | `AbstractExecutor.Get` Abstract class that is used to execute an arbitrary 'get' method.
`static class` | `AbstractExecutor.Method` Abstract class that is used to execute an arbitrary method.
`static class` | `AbstractExecutor.Set` Abstract class that is used to execute an arbitrary 'set' method.

Field Summary
`protected java.lang.reflect.Method` | `method` Method to be executed.
`protected java.lang.Class<?>` | `objectClass` The class this executor applies to.
`static java.lang.Object` | `TRY_FAILED` A marker for invocation failures in tryInvoke.

Constructor Summary
`protected` | `AbstractExecutor(java.lang.Class<?> theClass, java.lang.reflect.Method theMethod)` Default and sole constructor.

Method Summary
`boolean` | `equals(AbstractExecutor arg)` Indicates whether some other executor is equivalent to this one.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.reflect.Method` | `getMethod()` Gets the method to be executed or used as a marker.
`java.lang.String` | `getMethodName()` Gets the method name used.
`java.lang.Class<?>` | `getTargetClass()` Gets the object class targeted by this executor.
`java.lang.Object` | `getTargetProperty()` Gets the property targeted by this executor.
`int` | `hashCode()`
`boolean` | `isAlive()` Tell whether the executor is alive by looking at the value of the method.
`boolean` | `isCacheable()` Specifies if this executor is cacheable and able to be reused for this class of object it was returned for.
`boolean` | `tryFailed(java.lang.Object exec)` Checks whether a tryExecute failed or not.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRY_FAILED

    public static final java.lang.Object TRY_FAILED

  A marker for invocation failures in tryInvoke.

### objectClass

    protected final java.lang.Class<?> objectClass

  The class this executor applies to.

### method

    protected final java.lang.reflect.Method method

  Method to be executed.

Constructor Detail

### AbstractExecutor

    protected AbstractExecutor(java.lang.Class<?> theClass,
                               java.lang.reflect.Method theMethod)

  Default and sole constructor.

  Parameters:
    `theClass` - the class this executor applies to
    `theMethod` - the method held by this executor

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(AbstractExecutor arg)

  Indicates whether some other executor is equivalent to this one.

  Parameters:
    `arg` - the other executor to check
  Returns:
    true if both executors are equivalent, false otherwise

### isAlive

    public final boolean isAlive()

  Tell whether the executor is alive by looking at the value of the method.

  Returns:
    boolean Whether the executor is alive.

### isCacheable

    public boolean isCacheable()

  Specifies if this executor is cacheable and able to be reused for this class of object it was returned for.

  Returns:
    true if can be reused for this class, false if not

### getMethod

    public final java.lang.reflect.Method getMethod()

  Gets the method to be executed or used as a marker.

  Returns:
    Method The method used by execute in derived classes.

### getTargetClass

    public final java.lang.Class<?> getTargetClass()

  Gets the object class targeted by this executor.

  Returns:
    the target object class

### getTargetProperty

    public java.lang.Object getTargetProperty()

  Gets the property targeted by this executor.

  Returns:
    the target property

### getMethodName

    public final java.lang.String getMethodName()

  Gets the method name used.

  Returns:
    method name

### tryFailed

    public final boolean tryFailed(java.lang.Object exec)

  Checks whether a tryExecute failed or not.

  Parameters:
    `exec` - the value returned by tryExecute
  Returns:
    true if tryExecute failed, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.